package com.thelastdaytosurvive.game;

import org.usb4java.Device;

import com.thelastdaytosurvive.game.McuBoard;

public class McuWithPeriBoard extends McuBoard
{
	private static final byte RQ_GET_JOY1_X		= 0;
    private static final byte RQ_GET_JOY1_Y		= 1;
    private static final byte RQ_GET_JOY1_BTN 	= 2;
    private static final byte RQ_GET_JOY2_X		= 3;
    private static final byte RQ_GET_JOY2_Y		= 4;
    private static final byte RQ_GET_JOY2_BTN	= 5;
    private static final byte RQ_GET_FIRE_BTN	= 6;
    private static final byte RQ_GET_RELOAD_BTN	= 7;
    private static final byte RQ_SET_LED		= 8;

    public McuWithPeriBoard(Device device) {
		super(device);
	}

    public boolean getJoy1Btn()
    {
        byte[] ret = this.read(RQ_GET_JOY1_BTN, (short) 0, (short) 0);
        return ret[0] == 1;
    }


    public int getJoy1X()
    {
    	byte[] ret = this.read(RQ_GET_JOY1_X, (short) 0, (short) 0);
    	return (int)( (((int)ret[0] + 256) % 256) + (((int)ret[1] + 256) % 256) * 256);
    }
    
    public int getJoy1Y()
    {
    	byte[] ret = this.read(RQ_GET_JOY1_Y, (short) 0, (short) 0);
    	return (int)( (((int)ret[0] + 256) % 256) + (((int)ret[1] + 256) % 256) * 256);
    }
    
    public boolean getJoy2Btn()
    {
        byte[] ret = this.read(RQ_GET_JOY2_BTN, (short) 0, (short) 0);
        return ret[0] == 1;
    }

    public int getJoy2X()
    {
    	byte[] ret = this.read(RQ_GET_JOY2_X, (short) 0, (short) 0);
    	return (int)( (((int)ret[0] + 256) % 256) + (((int)ret[1] + 256) % 256) * 256);
    }
    
    public int getJoy2Y()
    {
    	byte[] ret = this.read(RQ_GET_JOY2_Y, (short) 0, (short) 0);
    	return (int)( (((int)ret[0] + 256) % 256) + (((int)ret[1] + 256) % 256) * 256);
    }
    
    public boolean getFireBtn()
    {
        byte[] ret = this.read(RQ_GET_FIRE_BTN, (short) 0, (short) 0);
        return ret[0] == 1;
    }
    
    public boolean getReloadBtn()
    {
        byte[] ret = this.read(RQ_GET_RELOAD_BTN, (short) 0, (short) 0);
        return ret[0] == 1;
    }
    
    public void setLed(int value){
    	this.write(RQ_SET_LED, (short) 0, (short) value);
    }
}
