#include <avr/io.h>
#include "peri.h"

void init_peripheral()
{
	DDRC  &= 0b11000000;
	PORTC &= 0b11110000;
	PORTC |= 0b00110000;

	DDRB  |= 0b00011111;
	PORTB &= 0b11100000;

	DDRD  &= 0b11111100;
	PORTD |= 0b00000011;
}

void set_led(uint8_t pin, uint8_t state)
{
	if(state) PORTB |= (1 << pin);
	else PORTB &= ~(1 << pin);
}


uint16_t read_adc(uint8_t channel)
{
	ADMUX = (0<<REFS1) | (1<<REFS0) | (0<<ADLAR) | (channel & 0b1111);
	ADCSRA = (1<<ADEN) | (1<<ADPS2) | (1<<ADPS1) | (1<<ADPS0) | (1<<ADSC);

	while ((ADCSRA & (1<<ADSC)))
	;

	return ADCL + ADCH*256;
}

uint16_t get_light()
{
	return read_adc(4);
}
